Package org.tanukisoftware.wrapper.jmx

# Class WrapperManagerTesting

java.lang.Object
org.tanukisoftware.wrapper.jmx.WrapperManagerTesting

All Implemented Interfaces:
  `WrapperManagerTestingMBean`

public class WrapperManagerTesting extends Object implements WrapperManagerTestingMBean

## Constructor Summary

Constructors
Constructor
Description
`WrapperManagerTesting()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accessViolationNative()`
Cause an access violation within native JNI code.
`void`
`appearHung()`
Causes the WrapperManager to go into a state which makes the JVM appear to be hung when viewed from the native Wrapper code.
`void`
`stopImmediate(int exitCode)`
Tells the native wrapper that the JVM wants to shut down and then promptly halts.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperManagerTesting

public WrapperManagerTesting()

## Method Details

### appearHung

public void appearHung()
Causes the WrapperManager to go into a state which makes the JVM appear to be hung when viewed from the native Wrapper code. Does not have any effect when the JVM is not being controlled from the native Wrapper.

Specified by:
  `appearHung` in interface `WrapperManagerTestingMBean`

### accessViolationNative

public void accessViolationNative()
Cause an access violation within native JNI code. This currently causes the access violation by attempting to write to a null pointer.

Specified by:
  `accessViolationNative` in interface `WrapperManagerTestingMBean`

### stopImmediate

public void stopImmediate(int exitCode)
Tells the native wrapper that the JVM wants to shut down and then promptly halts. Be careful when using this method as an application will not be given a chance to shutdown cleanly.

Specified by:
  `stopImmediate` in interface `WrapperManagerTestingMBean`
Parameters:
  `exitCode` - The exit code that the Wrapper will return when it exits.